package abcscriptgen;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;

//pomocna trida pro praci se soubory
public class fileIO {
   
    //funkce pro prepsani souboru novymi daty
    public void rewriteToFile (String filename, String text) {

        BufferedWriter bufferedwriter = null;
        try {
            bufferedwriter = new BufferedWriter(new FileWriter(filename, false));
            bufferedwriter.write(text);
        }
        catch (FileNotFoundException ex) { }
        catch (IOException ex) { }
        finally {
            try {
                if (bufferedwriter != null)
                    bufferedwriter.close();
            } catch (IOException ex) { }
        }
    }
    
    //funkce pro zapsani na konec souboru
    public void appendToFile (String filename, String text) {
        try{
            FileWriter fstream = new FileWriter(filename,true);
            BufferedWriter out = new BufferedWriter(fstream);
            out.write(text);
            out.close();
        } catch (Exception e){
            System.err.println(e.getMessage());
        }  
    }
    
    //funkce pro otestovani existence souboru
    public boolean fileExists(String filename) {
        File f = new File(filename);
        if (f.exists()) {
            return true; 
        } else {
            return false;
        }
    }
    
}
